## python-youless-api 2.1.2

=== requirements.txt ===
setuptools==69.1.1
wheel==0.43.0
twine==5.0.0
requests==2.31.0


pytest==7.1.3
coverage==6.5.0
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
python-youless-api (2.1.2-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 02 Aug 2024 10:20:12 +0900

python-youless-api (2.1.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1077218)

 -- Edward Betts <edward@4angle.com>  Sat, 27 Jul 2024 14:29:30 +0900

=== debian/control ===
Source: python-youless-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-requests <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/gjong/youless-python-bridge
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-youless-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-youless-api.git

Package: python3-youless-api
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-requests
Description: Python bridge to fetch data from YouLess sensors
 Fetch data from YouLess sensors like the LS120 and LS110. The API provides
 classes to access the sensor data and supports both the Enologic and PVOutput
 firmware for LS120. Experimental authentication support is also available.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=youless-api

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf youless_api.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-youless-api-$1\.tar\.gz/ \
  https://github.com/gjong/youless-python-bridge/tags .*/v?(\d\S+)\.tar\.gz

## python-youless-api 2.2.0

=== requirements.txt ===
setuptools==70.0.0
wheel==0.43.0
twine==5.0.0
requests==2.32.2


pytest==7.1.3
coverage==6.5.0
urllib3>=2.2.2 # not directly required, pinned by Snyk to avoid a vulnerability
zipp>=3.19.1 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
python-youless-api (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright year.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Jan 2025 11:51:11 -0600

=== debian/control ===
Source: python-youless-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-requests <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/gjong/youless-python-bridge
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-youless-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-youless-api.git

Package: python3-youless-api
Architecture: all
Depends:
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Description: Python bridge to fetch data from YouLess sensors
 Fetch data from YouLess sensors like the LS120 and LS110. The API provides
 classes to access the sensor data and supports both the Enologic and PVOutput
 firmware for LS120. Experimental authentication support is also available.

=== debian/watch ===
version=4
https://github.com/gjong/youless-python-bridge/tags .*/v?(\d\S+)\.tar\.gz
